<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class VehicleMaster extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'driver_master_id',
        'tracking_device_master_id',
        'registration_number',
        'model',
        'created_at',
        'updated_at',
        'created_by',
        'updated_by',
    ];

    public function driverMaster(): BelongsTo
    {
        return $this->belongsTo(DriverMaster::class);
    }

    public function trackingDeviceMaster(): BelongsTo
    {
        return $this->belongsTo(TrackingDeviceMaster::class);
    }
}
